<?php

use EventPortal\Domain\Permission\Models\Group;
use Faker\Generator as Faker;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(Group::class, function (Faker $faker) {
    return [
        'name' => $faker->name,
        'label' => $faker->domainWord,
    ];
});

$factory->state(Group::class, 'default', function (): array {
    return [
        'label' => 'Default Group',
        'name' => 'default-group',
    ];
});
