<?php

namespace EventPortal\Domain\Util\Notification;

use EventPortal\Domain\Event\Models\Event;

class NotificationData
{
    protected $event;

    public function getEvent(): ?Event
    {
        return $this->event;
    }

    public function setEvent(Event $event): void
    {
        $this->event = $event;
    }

    public function toArray(): array
    {
        return [
            'event' => $this->event,
        ];
    }
}
