<?php

namespace EventPortal\Enums;

use Spatie\Enum\Enum;

/**
 * @method static self invite()
 * @method static self saveTheDate()
 * @method static self joiningInstructions()
 * @method static self post()
 */
class EmailType extends Enum
{
    const MAP_INDEX = [
        'invite' => 1,
        'saveTheDate' => 2,
        'joiningInstructions' => 3,
        'post' => 4,
    ];

    const MAP_VALUE = [
        'invite' => 'Invite',
        'saveTheDate' => 'Save the date',
        'joiningInstructions' => 'Joining Instructions',
        'post' => 'Post-event',
    ];
}
