<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEmailsTable extends Migration
{
    public function up(): void
    {
        Schema::create('emails', function (Blueprint $table): void {
            $table->increments('id');
            $table->string('uuid');
            $table->foreignId('template_id');

            $table->string('to');
            $table->string('from');
            $table->string('subject')->nullable();
            $table->text('body')->nullable();

            $table->string('sender_address')->nullable();
            $table->string('reply_to_address')->nullable();
            $table->timestamps();
        });
    }
}
