<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEventVenueSessionTables extends Migration
{
    public function up(): void
    {
        Schema::create('event_venue_session', function (Blueprint $table): void {
            $table->increments('id');
            $table->unsignedInteger('session_id');
            $table->unsignedInteger('event_venue_id');
            $table->timestamps();

            $table->foreign('session_id')->on('sessions')->references('id');
            $table->foreign('event_venue_id')->on('event_venue')->references('id');
        });
    }
}
